import { createRouter, createWebHistory, createWebHashHistory } from "vue-router";
import Login from "../views/Login.vue";

import { isAuthenticated } from "./authGuards";
import { loadAccountData } from "./accountGuard";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      redirect: { name: "admin" },
    },
    {
      path: "/login",
      name: "login",
      component: Login,
    },
    {
      path: "/admin",
      name: "admin",
      component: () => import("../views/admin/View.vue"),
      beforeEnter: [isAuthenticated],
    },
    {
      path: "/:pathMatch(.*)*",
      name: "404",
      component: () => import("../views/notFound.vue"),
    },
  ],
});

export default router;
